<div class="schema:LearningResource">
  <meta name="schema:name" content="Python and Volunteered Geographic Information">
  <meta name="schema:description" content="The course explores the integration of Python with Volunteered Geographic Information (VGI) for spatial data analysis and geospatial insights. It covers key methodologies, tools, and datasets to leverage VGI in diverse applications. Participants will gain hands-on experience with:
  Building Development and Extraction: Utilizing the ohsome API to extract and analyze building data from publicly available sources like OpenStreetMap.
  Population and Amenity Analysis: Combining OpenStreetMap amenities data with population data from Google Earth Engine (GEE) to generate new insights through publicly available datasets.
  Road Network Analysis: Employing the osmnx API for analyzing road networks and performing basic area calculations using geospatial data.
  The course aims to connect theoretical foundations with practical applications in urban and environmental planning, fostering the ability to work with open geospatial datasets and Python-based tools effectively.  ">
  <meta name="schema:author" content="Andreas Rienow">
  <meta name="schema:author" content="https://orcid.org/0000-0003-3893-3298">
  <meta name="schema:author" content="Lars Tum  ">
  <meta name="schema:author" content="https://orcid.org/0009-0000-3924-5230">
  <meta name="schema:publisher" content="NFDI4Earth">
  <meta name="schema:publisher" content="Ruhr University Bochum">
  <meta name="schema:datePublished" content="2025">
  <meta name="schema:competencyRequired" content="Basic knowledge of Python, Basic knowledge of digital image processing and Geographic Information Systems"> <!-- use when lerners need to have specific competencies to take the course, but no specific course or material is required -->
  <meta name="schema:coursePrerequisites" content="https://edutrain.nfdi4earth.de/courses/course-v1:NFDI4Earth+20230827PO+Self-Paced/about"> <!-- use when specific courses or material should be studies before using this resource, provide the link of those content in this field -->
  <meta name="schema:inLanguage" content="http://publications.europa.eu/resource/authority/language/ENG">
  <meta name="schema:keywords" content="Geoinformatics"> <!-- use for specific keywords including subject area, tools, data format, etc. -->
  <meta name="schema:learningResourceType" content="video, exercise, interactive notebook">
  <meta name="schema:educationalLevel" content="Intermediate, Advanced">
  <meta name="schema:license" content="http://spdx.org/licenses/CC-BY-NC-SA-4.0">
</div>

<section class="about" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>About This Course</h2>
<p>The course explores the integration of Python with Volunteered Geographic Information (VGI) for spatial data analysis and geospatial insights. It covers key methodologies, tools, and datasets to leverage VGI in diverse applications. Participants will gain hands-on experience with:
    <ul>
        <li>Building Development and Extraction: Utilizing the ohsome API to extract and analyze building data from publicly available sources like OpenStreetMap.</li>
        <li>Population and Amenity Analysis: Combining OpenStreetMap amenities data with population data from Google Earth Engine (GEE) to generate new insights through publicly available datasets.</li>
        <li>Road Network Analysis: Employing the osmnx API for analyzing road networks and performing basic area calculations using geospatial data.</li>
    </ul>
The course aims to connect theoretical foundations with practical applications in urban and environmental planning, fostering the ability to work with open geospatial datasets and Python-based tools effectively.</p></section>

<section class="difficulty" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>Level</h2>
<p>Intermediate, Advanced</p></section>

<section class="prerequisites" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>Requirements</h2>
<p><a href="https://edutrain.nfdi4earth.de/courses/course-v1:NFDI4Earth+20230827PO+Self-Paced/about">Basic knowledge of Python</a>, Basic knowledge of digital image processing and Geographic Information Systems<!-- ... and so on --></p></section>

<section class="subjectArea" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>Subject Area</h2>
<p>Geoinformatics<!-- ... and so on --></p></section>
  
<section class="content-overview" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>What You Will Learn</h2>
    <ul>
        <li>Setting up Your Workspace</li>
        <li>OHSOME Building Development</li>
        <li>OHSOME Buildings Extraction</li>
        <li>Assessing Flood Damage</li>
        <li>Combining OSM Amenities and GEE Population Data</li>
        <li>osmnx Network Analysis</li>
        <li>osmnx Buildings and Roads</li>
    </ul>
</section>

<section class="credits" style="font-family: Calibri, Arial, Helvetica, sans-serif; text-align: justify;">
<h2>Resources</h2>
<p>
    The future is urban, the data is smart by <a href="https://orcid.org/0000-0003-3893-3298">Andreas Rienow</a>, <a href="https://orcid.org/0009-0000-3924-5230">Lars Tum</a><!-- ... and so on --><br>
    <!-- ... and so on -->
</p>
<h2>Administration</h2>
<p><a href="mailto:farzaneh.sadeghi@hs-bochum.de">Farzaneh Sadeghi</a></p>
</section>

<footer style="color: black !important; text-align: justify !important; font-size: 0.7em !important; font-family: Calibri, Arial, Helvetica, sans-serif !important;">
  <hr style="border-top: 2px solid #ccc; width: 50%; margin-left: 0;">
  <p>
      This content is based on the NFDI4Earth Educational Pilot
      <a>
          "The future is urban, the data is smart"
      </a> 
      by 
      <a href="https://orcid.org/0000-0003-3893-3298" style="color: rgb(26, 100, 143) !important; text-decoration: underline !important;">
        Andreas Rienow
      </a>,
      <a href="https://orcid.org/0009-0000-3924-5230" style="color: rgb(26, 100, 143) !important; text-decoration: underline !important;">
          Lars Tum<!-- ... and so on -->
      </a>
      which is licensed under a 
      <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" style="color: rgb(26, 100, 143) !important; text-decoration: underline !important;">
          Creative Commons Attribution Non Commercial Share Alike 4.0 International
      </a>.      
      Modifications were made to the original content. This modified content is licensed under 
      <a href="https://creativecommons.org/licenses/by-nc-sa/4.0/" style="color: rgb(26, 100, 143) !important; text-decoration: underline !important;">
        CC BY-NC-SA 4.0
      </a>. 
  </p>
</footer>